"""
Unsticks the reingestion queue by sending failure completions on running reingestions.
"""

from pyat.events import events
from pyat.schema import create_session
from pyat.schema.model import VlbaReingestionQueue

def main():
    session = create_session('SDM')
    running = session.query(VlbaReingestionQueue).filter_by(state = 'RUNNING').all()
    for queue_item in running:
        events.broadcast('Ingestion Complete',
                         application='ingestion',
                         routing_key='ingestion-complete.metadata',
                         logData={'successful': False,
                                  'telescope': 'VLBA',
                                  'ingestion_type':'vlba',
                                  'subDirectory': queue_item.filename})

if __name__ == '__main__':
    main()
