#!/usr/bin/python
# -*- coding: utf-8 -*-

from pathlib import Path

from setuptools import setup

VERSION = open('_version.py').readlines()[-1].split()[-1].strip("\"'")
README = Path('README.md').read_text()

requires = [
    'pika==1.1.0',
    'pycapo==0.2.1post1',
    'bs4==0.0.1',
    'beautifulsoup4==4.9.1',
    'lxml==4.3.2',
    'psycopg2==2.8.5',
    'pyinstaller==3.2',
    'tox==3.1.3',
    'tox-pyenv==1.1.0'
]

tests_require = [
    'bs4==0.0.1',
    'beautifulsoup4==4.9.1',
    'psycopg2==2.8.5',
    'pyinstaller==3.2',
    'pytest==5.4',
    'pytest-runner==4.2',
    'tox==3.1.3',
    'tox-pyenv==1.1.0',

]
setup(
    name=Path().absolute().name,
    version=VERSION,
    description='NRAO Archive Data Fetcher Script',
    long_description=README,
    author='NRAO SSA Team',
    author_email='dms-ssa@nrao.edu',
    url='TBD',
    license="GPL",
    install_requires=['requests', 'pycapo'],
    keywords=[],
    packages=['datafetcher'],
    package_dir={'':'src'},
    classifiers=[
        'Programming Language :: Python :: 3.8'
    ],
    entry_points={
        'console_scripts': ['datafetcher = datafetcher.commands:main']
    },
)
